| USBD ROM Stack 2.0 ROM based USB device stack

Data Fields
USBD_API_T Struct Reference

Main USBD API functions structure.This structure contains pointer to various USB Device stack's sub-module function tables. This structure is used as main entry point to access various methods (grouped in sub-modules) exposed by ROM based USB device stack. More...

`#include <C:/Data/nxp/GIT/lpcopen_v3/lpcopen_version3/LPC11u6x/lpc11u6x/LPC_USBD_Lib/mw_usbd/mw_usbd_rom_api.h>`

## Data Fields
const USBD_HW_API_T * | hw
const USBD_CORE_API_T * | core
const USBD_MSC_API_T * | msc
const USBD_DFU_API_T * | dfu
const USBD_HID_API_T * | hid
const USBD_CDC_API_T * | cdc
const uint32_t * | reserved6
const uint32_t | version

## Detailed Description

Main USBD API functions structure.

This structure contains pointer to various USB Device stack's sub-module function tables. This structure is used as main entry point to access various methods (grouped in sub-modules) exposed by ROM based USB device stack.

## Field Documentation

## ◆ hw

const USBD_HW_API_T* USBD_API_T::hw

Pointer to function table which exposes functions which interact directly with USB device stack's core layer.

## ◆ core

const USBD_CORE_API_T* USBD_API_T::core

Pointer to function table which exposes functions which interact directly with USB device controller hardware.

## ◆ msc

const USBD_MSC_API_T* USBD_API_T::msc

Pointer to function table which exposes functions provided by MSC function driver module.

## ◆ dfu

const USBD_DFU_API_T* USBD_API_T::dfu

Pointer to function table which exposes functions provided by DFU function driver module.

## ◆ hid

const USBD_HID_API_T* USBD_API_T::hid

Pointer to function table which exposes functions provided by HID function driver module.

## ◆ cdc

const USBD_CDC_API_T* USBD_API_T::cdc

Pointer to function table which exposes functions provided by CDC-ACM function driver module.

## ◆ reserved6

const uint32_t* USBD_API_T::reserved6

Reserved for future function driver module.

## ◆ version

const uint32_t USBD_API_T::version

Version identifier of USB ROM stack. The version is defined as 0x0CHDMhCC where each nibble represents version number of the corresponding component. CC - 7:0 - 8bit core version number h - 11:8 - 4bit hardware interface version number M - 15:12 - 4bit MSC class module version number D - 19:16 - 4bit DFU class module version number H - 23:20 - 4bit HID class module version number C - 27:24 - 4bit CDC class module version number H - 31:28 - 4bit reserved

The documentation for this struct was generated from the following file:

- C:/Data/nxp/GIT/lpcopen_v3/lpcopen_version3/LPC11u6x/lpc11u6x/LPC_USBD_Lib/mw_usbd/mw_usbd_rom_api.h